#
# spec file for package 844-ksc-pcf (Version 19990207)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           844-ksc-pcf
URL:            http://www.debian.or.kr/~cwryu/archive/fonttools/
License:        distributable
Group:          System/X11/Fonts
Autoreqprov:    on
PreReq:         %suseconfig_fonts_prereq
Provides:       locale(xorg-x11:ko)
Summary:        Korean 8x4x4 Johab Fonts
Version:        19990207
Release:        607.2
Source0:        844-ksc-pcf-19990207.1.tar.bz2
Source1:        README.844-ksc.fonts.TXT
BuildArch:    noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Korean 8x4x4 johab fonts.



%debug_package
%prep
%setup -q -n 844-ksc-pcf-19990207.1
cp $RPM_SOURCE_DIR/README.844-ksc.fonts.TXT .
# name conflict with fonts from efont-unicode package:
for i in h[0-9][0-9].pcf
do
   mv $i ${i%.pcf}-844-ksc.pcf
done

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p %{buildroot}/usr/X11R6/lib/X11/fonts/misc
gzip --best *.pcf
install -m 644 *.gz   %{buildroot}/usr/X11R6/lib/X11/fonts/misc

%clean
#[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
# Ruediger Oertel wrote:
# > that is the way an update works with rpm:
# > 
# > %pre(in) new package
# > install all files from new package
# > %post(in) new package
# > %preun old package
# > remove all files from old package not present in new package
# > %postun old package

%post
%run_suseconfig_fonts

%postun
%run_suseconfig_fonts

%files
%defattr(-,root,root)
%doc README*
%dir /usr/X11R6/lib/X11/fonts/misc/
/usr/X11R6/lib/X11/fonts/misc/*

%changelog -n 844-ksc-pcf
* Wed Mar 01 2006 - mfabian@suse.de
- add "Provides: locale(xorg-x11:ko)".
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec 03 2004 - mfabian@suse.de
- use new macro "%%run_suseconfig_fonts"
* Thu Mar 18 2004 - mfabian@suse.de
- use %%suseconfig_fonts_prereq
* Mon Feb 16 2004 - mfabian@suse.de
- run the scripts twice on on update because it is possible that
  font files have been removed between the "post" and the "postun"
  script, i.e. in this case the "postun" script should run to
  correct this. If really nothing has changed in the font
  directories between "post" and "postun", "postun" will run
  very fast anyway because it checks the timestamps in the font
  directores and these are unchanged then.
* Mon Feb 16 2004 - mfabian@suse.de
- don't run the scripts twice on update.
* Sat Feb 14 2004 - mfabian@suse.de
- don't build as root
- run SuSEconfig.fonts and SuSEconfig.pango in %%post and %%postun
* Fri Jun 13 2003 - mfabian@suse.de
- add %%dir /usr/X11R6/lib/X11/fonts/misc/ to file list
* Tue Mar 04 2003 - mfabian@suse.de
- resolve file name conflicts with efont-unicode package
- bzip2 tarball (and gunzip pcf files inside first because this
  saves another 700kB)
* Fri Aug 09 2002 - ro@suse.de
- removed PreReq since pre/postinstallscripts are gone
* Thu Aug 01 2002 - mfabian@suse.de
- remove %%post and %%postun, SuSEconfig.fonts does that already,
  it's better not duplicate the work of SuSEconfig.fonts.
* Wed Jan 10 2001 - violiet@susekorea.net
- NEW 844-ksc-pcf package version to 19990207.
